IncomingFileMessage (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.streaming.messages

## Class IncomingFileMessage

- java.lang.Object
- - org.apache.cassandra.streaming.messages.StreamMessage
  - - org.apache.cassandra.streaming.messages.IncomingFileMessage

-     public class IncomingFileMessage
      extends StreamMessage

  IncomingFileMessage is used to receive the part(or whole) of a SSTable data file.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.streaming.messages.StreamMessage

      `StreamMessage.Serializer<V extends StreamMessage>, StreamMessage.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FileMessageHeader` | `header`
    `static StreamMessage.Serializer<IncomingFileMessage>` | `serializer`
    `SSTableMultiWriter` | `sstable`

    - ### Fields inherited from class org.apache.cassandra.streaming.messages.StreamMessage

      `CURRENT_VERSION, type, VERSION_20, VERSION_22, VERSION_30`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncomingFileMessage(SSTableMultiWriter sstable, FileMessageHeader header)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.streaming.messages.StreamMessage

      `deserialize, getPriority, sent, serialize, wasSent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static StreamMessage.Serializer<IncomingFileMessage> serializer

    - #### header

          public FileMessageHeader header

    - #### sstable

          public SSTableMultiWriter sstable

  - ### Constructor Detail

    - #### IncomingFileMessage

          public IncomingFileMessage(SSTableMultiWriter sstable,
                                     FileMessageHeader header)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation